## lugaru 0~20110520.1+hge4354+dfsg

=== debian/changelog ===
lugaru (0~20110520.1+hge4354+dfsg-3) unstable; urgency=low

  * Remove unnecessary linux-libc-dev dependency
  * dh compat level 9 for hardening build flags
  * Remove libglew1.7-dev and only use libglew-dev build-dependency
    (Closes: 675775), FTBFS

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Sun, 03 Jun 2012 12:06:05 +0200

lugaru (0~20110520.1+hge4354+dfsg-2) unstable; urgency=low

  * Rework launcher script to start windowed and with no mouse grabbing per
    default.
  * Update manual page:
    - Information regarding fullscreen and input grabbing,
    - document -h|-help|--help commandline
  * Change Arand -> Martin, same person, now with real name
  * Fix naming of 128x128 icon so it is used properly
  * Standards-Version 3.9.3
    - Update DEP-5 Format: link
  * Add unversioned library depend alternatives
    - libglu1-mesa-dev | libglu-dev
    - libglew1.5-dev | libglew-dev
    - libsdl1.2-dev | libsdl-dev
    - zlib1g-dev | libz-dev
  * Rename and refresh patches
    - Add DEP-3 tag to dont-install-data.patch
  * Build-Depends on libpng-dev, change from libpng12-dev (Closes: 662424)

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Mon, 05 Mar 2012 08:26:50 +0100

lugaru (0~20110520.1+hge4354+dfsg-1) unstable; urgency=low

  * Initial release (Closes: 626156)
  * Source for tarball taken from https://code.google.com/p/lugaru/ at
    commit e435472cb42f
  * Source has been repacked into lugaru and lugaru-data packages due to some
    of the data being non-free
  * debian/patches/0001-fixed-bad-resolution-on-first-run: commit c699faa41aaf
    from p/lugaru-experimental fixing 0x0 resolution config writeout on start

 -- Arand Nash <ienorand@gmail.com>  Mon, 30 May 2011 19:15:31 +0100
