=== debian/control ===
Source: lugaru
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Martin Erik Werner <martinerikwerner@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               freeglut3-dev,
               imagemagick,
               libglew-dev,
               libglu1-mesa-dev | libglu-dev,
               libjpeg8-dev | libjpeg-dev,
               libogg-dev,
               libopenal-dev,
               libpng-dev,
               libsdl1.2-dev | libsdl-dev,
               libvorbis-dev,
               libx11-dev,
               mesa-common-dev,
               x11proto-core-dev,
               zlib1g-dev | libz-dev
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/lugaru/
Vcs-Git: git://git.debian.org/git/pkg-games/lugaru.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/lugaru.git

Package: lugaru
Architecture: any
Depends: lugaru-data, ${misc:Depends}, ${shlibs:Depends}
Description: third-person action game
 Lugaru is the first commercial game by Wolfire Games. Lugaru's main
 character is Turner, an anthropomorphic rabbit with curiously well developed
 combat skills. After seeing his family and friends murdered by wolf raiders he
 embarks on a quest of revenge, only to uncover a deeper plot that threatens the
 entire island. Using a wide variety of intuitive combat techniques, the player
 combats wolves and hostile rabbits across three different landscapes
 (grasslands, snow, desert).
