=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLUGARU_INSTALL_PREFIX=/usr/lib/games/lugaru/

override_dh_auto_build:
	convert 'Source/win-res/lugaru.ico[6]' debian/lugaru.png
	convert 'Source/win-res/lugaru.ico[7]' debian/lugaru.xpm
	dh_auto_build

override_dh_install:
	dh_install
	mv debian/lugaru/usr/share/icons/hicolor/128x128/apps/Lugaru.png \
		debian/lugaru/usr/share/icons/hicolor/128x128/apps/lugaru.png

URL="https://lugaru.googlecode.com/hg/"
REV_ORIG=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*[+~]hg([0-9a-z]+).*,\1,p')
DATEREV_ORIG=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*[+~]([0-9]+.[0-9]+).*,\1,p')
DIR_ORIG=lugaru-0~$(DATEREV_ORIG)+hg$(REV_ORIG).orig
TARBALL_ORIG=lugaru_0~$(DATEREV_ORIG)+hg$(REV_ORIG)+dfsg.orig.tar.gz
get-orig-source:
	rm -rf $(DIR_ORIG)
	hg clone $(URL) $(DIR_ORIG) -r $(REV_ORIG)
	find $(DIR_ORIG) -name ".hgignore" -print -delete
	find $(DIR_ORIG) -name ".hgsigs" -print -delete
	find $(DIR_ORIG) -name ".hgtags" -print -delete
	rm -rf $(DIR_ORIG)/.hg/
	rm -rf $(DIR_ORIG)/Data/
	rm -rf $(DIR_ORIG)/Dependencies/
	rm -rf $(DIR_ORIG)/Xcode/
	rm -f $(DIR_ORIG)/CONTENT-LICENSE.txt
	GZIP="--best" tar -cz --owner root --group root --mode a+rX \
		 -f $(TARBALL_ORIG) $(DIR_ORIG)
	rm -rf $(DIR_ORIG)

URL="https://lugaru.googlecode.com/hg/"
REV_CUR=$(shell hg identify -i $(URL) | cut --characters=-5)
# Can't get date of last hg commit easily, use current date as fallback
DATEREV_CUR=$(shell date +%Y%m%d).1
DIR_CUR=lugaru-0~$(DATEREV_CUR)+hg$(REV_CUR).orig
TARBALL_CUR=lugaru_0~$(DATEREV_CUR)+hg$(REV_CUR)+dfsg.orig.tar.gz
get-current-source:
	rm -rf $(DIR_CUR)
	hg clone $(URL) $(DIR_CUR) -r $(REV_CUR)
	find $(DIR_CUR) -name ".hgignore" -print -delete
	find $(DIR_CUR) -name ".hgsigs" -print -delete
	find $(DIR_CUR) -name ".hgtags" -print -delete
	rm -rf $(DIR_CUR)/.hg/
	rm -rf $(DIR_CUR)/Data/
	rm -rf $(DIR_CUR)/Dependencies/
	rm -rf $(DIR_CUR)/Xcode/
	rm -f $(DIR_CUR)/CONTENT-LICENSE.txt
	GZIP="--best" tar -cz --owner root --group root --mode a+rX \
		 -f $(TARBALL_CUR) $(DIR_CUR)
	rm -rf $(DIR_CUR)
