=== debian/control ===
Source: lugaru
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Prat <vivi@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libglu1-mesa-dev,
               libjpeg-dev,
               libopenal-dev,
               libpng-dev,
               libsdl2-dev,
               libvorbis-dev
Standards-Version: 4.6.1
Homepage: https://gitlab.com/osslugaru/lugaru
Vcs-Git: https://salsa.debian.org/games-team/lugaru.git
Vcs-Browser: https://salsa.debian.org/games-team/lugaru
Rules-Requires-Root: no

Package: lugaru
Architecture: any
Depends: lugaru-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: openlugaru (<< 1.2-1~)
Breaks: openlugaru (<< 1.2-1~)
Description: third person ninja rabbit fighting game
 Lugaru (pronounced Loo-GAH-roo) is a cross-platform third-person action game.
 The main character, Turner, is an anthropomorphic rebel bunny rabbit with
 impressive combat skills. In his quest to find those responsible for
 slaughtering his village, he uncovers a far-reaching conspiracy involving the
 corrupt leaders of the rabbit republic and the starving wolves from a nearby
 den. Turner takes it upon himself to fight against their plot and save his
 fellow rabbits from slavery.
 .
 Lugaru HD is developed by the OSS Lugaru project and is based on the original
 Lugaru HD by Wolfire Games.

Package: lugaru-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: openlugaru-data (<< 1.2-1~)
Breaks: openlugaru-data (<< 1.2-1~)
Enhances: lugaru
Description: data for the third person ninja rabbit fighting game Lugaru HD
 This package contains the data files for Lugaru HD, which includes some of the
 data from the original Lugaru HD by Wolfire Games, and some additional data
 included by/contributed to the OSS Lugaru project.
