=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DSYSTEM_INSTALL=ON \
		-DCMAKE_INSTALL_BINDIR=games \
		-DCMAKE_INSTALL_DATADIR=share/games \
		-DLUGARU_VERSION_RELEASE="Debian $(DEB_VERSION)"

execute_after_dh_install:
	rm -f debian/tmp/usr/share/doc/lugaru/CONTENT-LICENSE.txt
	rm -f debian/tmp/usr/share/doc/lugaru/COPYING.txt
