=== debian/watch ===
version=4
opts=searchmode=plain \
https://gitlab.com/osslugaru/lugaru/tags -/archive/[^/]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
